Bug 1507429 - [tsb]Some error message shown when describe serviceinstance
Summary: [tsb]Some error message shown when describe serviceinstance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.0
Assignee: Jay Boyd
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 09:06 UTC by XiuJuan Wang
Modified: 2018-06-27 18:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 18:01:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:01:53 UTC

Description XiuJuan Wang 2017-10-30 09:06:45 UTC
Description of problem:
When describe a ready serviceinstance,there are some error shown.

Version-Release number of selected component (if applicable):
brew-*/ose-service-catalog   v3.7.0-0.185.0.0    ef0dd815574a        2 days ago          266 MB

How reproducible:
always

Steps to Reproduce:
1.Privision mariadb-ephemeral clusterserviceclass in browse catalog
2.Describe serviceinstance after it's ready
3.

Actual results:
 oc describe  serviceinstance  -n myproject
 1h                1h                3        service-catalog-controller-manager                        Warning                ErrorWithParameters                        Failed to prepare ServiceInstance parameters nil: secrets "mariadb-ephemeral-parametersi0l6n" not found
  1h                1h                1        service-catalog-controller-manager                        Normal                Provisioning                                The instance is being provisioned asynchronously
  1h                1h                1        service-catalog-controller-manager                        Warning                ProvisionCallFailed                        Error provisioning ServiceInstance of ClusterServiceClass (K8S: "7d08ff2c-bd1f-11e7-a6c2-fa163e5abcb3" ExternalName: "mariadb-ephemeral") at ClusterServiceBroker "template-service-broker": Status: 409; ErrorMessage: <nil>; Description: <nil>; ResponseError: <nil>
  1h                1h                1        service-catalog-controller-manager                        Normal                ProvisionedSuccessfully                        The instance was provisioned successfully


Expected results:
Should no error shown.

Additional info:

Comment 1 Matthew Staebler 2017-11-03 15:41:48 UTC
The first warning is due to the ServiceInstance being created prior to the Secret. The service catalog controller tries to reconcile the new ServiceInstance a few times before the Secret exists.

The second warning is due to a bug in service catalog that has the controller sending multiple duplicate requests to the broker. The warning is for the second Provision request, which is rejected by the broker due to its being a duplicate of an on-going Provision request. This bug is being tracked upstream by https://github.com/kubernetes-incubator/service-catalog/issues/1363.

Comment 2 Paul Morie 2018-01-16 00:31:51 UTC
Jay, will you please determine if this is still an issue?

Comment 3 Jay Boyd 2018-01-19 19:10:40 UTC
Still an issue in some circumstances.  Upstream issue is still open.

Comment 5 Jay Boyd 2018-01-25 16:59:49 UTC
Still an issue, please note these are basically noise, but I do agree its a bug and can be misleading/alarming.

tracked by two upstream issues:
https://github.com/kubernetes-incubator/service-catalog/issues/1363
https://github.com/kubernetes-incubator/service-catalog/issues/1639

Comment 8 Paul Morie 2018-02-14 19:18:34 UTC
This is actually working as designed from standpoint of events.  Events generated for a particular resource have a TTL and stay around until that TTL elapses.  So, it's correct that you should see them in this case.

It is useful to note when we do see events that indicate errors that there may be other problems.  Since this bug is rather old at this point, I would like QE to retest with the knowledge that it is correct that old events should stay around even after problem conditions are resolved.

Comment 9 XiuJuan Wang 2018-02-22 07:16:21 UTC
The error messages have updated, one item about "ClusterServiceBrokerReturnedFailure  " is added.

Should we update the <nil> in "Status: 409; ErrorMessage: <nil>; Description: <nil>; ResponseError: <nil>" with detailed


 Warning  ErrorWithParameters                  3m    service-catalog-controller-manager  failed to prepare parameters nil: secrets "mysql-ephemeral-parameters4alxx" not found
  Normal   Provisioning                         3m    service-catalog-controller-manager  The instance is being provisioned asynchronously
  Warning  ProvisionCallFailed                  3m    service-catalog-controller-manager  Error provisioning ServiceInstance of ClusterServiceClass (K8S: "5028e5a5-1776-11e8-b8ae-fa163e82662b" ExternalName: "mysql-ephemeral") at ClusterServiceBroker "template-service-broker": Status: 409; ErrorMessage: <nil>; Description: <nil>; ResponseError: <nil>
  Warning  ClusterServiceBrokerReturnedFailure  3m    service-catalog-controller-manager  Error provisioning ServiceInstance of ClusterServiceClass (K8S: "5028e5a5-1776-11e8-b8ae-fa163e82662b" ExternalName: "mysql-ephemeral") at ClusterServiceBroker "template-service-broker": Status: 409; ErrorMessage: <nil>; Description: <nil>; ResponseError: <nil>
  Normal   ProvisionedSuccessfully              2m    service-catalog-controller-manager  The instance was provisioned successfully

openshift v3.9.0-0.47.0
kubernetes v1.9.1+a0ce1bc657

Comment 10 Jay Boyd 2018-02-22 14:24:41 UTC
the HTTP 409 is caused by https://github.com/kubernetes-incubator/service-catalog/issues/1639 (duplicate provision requests).  The error details (ErrorMessage and Description) are optional details that may be set by the Broker. 
 You might consider filing an issue against it.

Comment 11 XiuJuan Wang 2018-02-23 07:17:01 UTC
Jay,
Thanks, reported a bug for issue in comment #10
https://bugzilla.redhat.com/show_bug.cgi?id=1548313.
As comment #8, move this bug as verified.

Comment 13 Jay Boyd 2018-06-18 12:11:13 UTC
no

Comment 15 errata-xmlrpc 2018-06-27 18:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.